Bug 109168 - Toshiba 5205-S705: pcmcia nonfunctional, i810_audio does not load
Summary: Toshiba 5205-S705: pcmcia nonfunctional, i810_audio does not load
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-05 11:38 UTC by Michael J. Cohen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-08 18:18:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael J. Cohen 2003-11-05 11:38:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031009

Description of problem:
yenta_socket, ds, and other pcmcia modules do not load.

i810_audio reports no such device when the same module is used in
2.6.0-test. perhaps pci id isn't listed

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2088.nptl

How reproducible:
Always

Steps to Reproduce:
1. /etc/init.d/pcmcia start
2. modprobe i810_audio
3. ?
4. Profit!

Actual Results:  pcmcia doesn't work, wireless is not functional,
sound is not functional


Expected Results:  pcmcia works, wireless is configurable, sound works

Additional info:

complains about pci=biosirq.  sound tries to grab irq 0.  works in 2.6

Comment 1 Michael J. Cohen 2003-11-08 18:05:36 UTC
pci=biosirq results in a panic in IRQ setup.

Comment 2 Michael J. Cohen 2003-11-08 18:18:38 UTC
doh; acpi=on resolves this stuff. :)


Note You need to log in before you can comment on or make changes to this bug.